## UfoOutputTask

UfoOutputTask — Output task

## Functions

UfoNode * | ufo_output_task_new ()
void | ufo_output_task_get_output_requisition ()
UfoBuffer * | ufo_output_task_get_output_buffer ()
void | ufo_output_task_release_output_buffer ()

## Properties

guint | num-dims | Read / Write

## Types and Values

struct | UfoOutputTask
struct | UfoOutputTaskClass

## Object Hierarchy

        GObject
        ╰── UfoNode
            ╰── UfoTaskNode
                ╰── UfoOutputTask

## Implemented Interfaces

UfoOutputTask implements

## Description

## Functions

### ufo_output_task_new ()

    UfoNode *
    ufo_output_task_new (guint n_dims);

### ufo_output_task_get_output_requisition ()

    void
    ufo_output_task_get_output_requisition
                                   (UfoOutputTask *task,
                                    UfoRequisition *requisition);

### ufo_output_task_get_output_buffer ()

    UfoBuffer *
    ufo_output_task_get_output_buffer (UfoOutputTask *task);

Get the output buffer from which we read the data to be sent to the master remote node.

#### Parameters

task | A UfoInputTask |

#### Returns

A UfoBuffer for reading output data.

[transfer none]

### ufo_output_task_release_output_buffer ()

    void
    ufo_output_task_release_output_buffer (UfoOutputTask *task,
                                           UfoBuffer *buffer);

## Types and Values

### struct UfoOutputTask

    struct UfoOutputTask;

Main object for organizing filters. The contents of the UfoOutputTask structure are private and should only be accessed via the provided API.

### struct UfoOutputTaskClass

    struct UfoOutputTaskClass {
    };

UfoOutputTask class

## Property Details

### The `“num-dims”` property

      “num-dims”                 guint

Number of expected dimensions.

Owner: UfoOutputTask

Flags: Read / Write

Allowed values: [1,3]

Default value: 2